// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 1316 $ (last changed revision)
// @date    $Date: 2016-04-13 14:50:09 +0200 (Mi, 13 Apr 2016) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Core/include/mapCombinationFunctorInterface.tpp $
*/


#ifndef __MAP_COMBINATION_FUNCTOR_INTERFACE_TPP
#define __MAP_COMBINATION_FUNCTOR_INTERFACE_TPP

#include "mapCombinationFunctorInterface.h"

namespace map
{
	namespace core
	{
		namespace functors
		{

			template <unsigned int VInputDimensions, unsigned int VInterimDimensions, unsigned int VOutputDimensions>
			CombinationFunctorInterface<VInputDimensions, VInterimDimensions, VOutputDimensions>::
			CombinationFunctorInterface()
			{
			};

			template <unsigned int VInputDimensions, unsigned int VInterimDimensions, unsigned int VOutputDimensions>
			CombinationFunctorInterface<VInputDimensions, VInterimDimensions, VOutputDimensions>::
			~CombinationFunctorInterface() {};

			template <unsigned int VInputDimensions, unsigned int VInterimDimensions, unsigned int VOutputDimensions>
			void
			CombinationFunctorInterface<VInputDimensions, VInterimDimensions, VOutputDimensions>::
			PrintSelf(std::ostream& os, itk::Indent indent) const
			{
			};

		} // end namespace functors
	} // end namespace core
} // end namespace map

#endif
